## gs-plugin-job-list-distro-upgrades gs-plugin-job-list-distro-upgrades — A plugin job to list distro upgrades |

## Functions

GsPluginJob * | gs_plugin_job_list_distro_upgrades_new ()
GsAppList * | gs_plugin_job_list_distro_upgrades_get_result_list ()

## Types and Values

#define | GS_TYPE_PLUGIN_JOB_LIST_DISTRO_UPGRADES
| GsPluginJobListDistroUpgrades

## Description

GsPluginJobListDistroUpgrades is a GsPluginJob representing an operation to list available upgrades for the distro, from all GsPlugins.

Upgrades for the distro are large upgrades, such as from Fedora 34 to Fedora 35. They are not small package updates.

This job will list the available upgrades, but will not download them or install them. Due to the typical size of an upgrade, these should not be downloaded until the user has explicitly requested it.

The known properties on the set of apps returned by this operation can be controlled with the “refine-require-flags” property. All results will be refined using `GS_PLUGIN_REFINE_REQUIRE_FLAGS_SETUP_ACTION` plus the given set of refine flags. See GsPluginJobRefine.

This class is a wrapper around GsPluginClass.list_distro_upgrades_async, calling it for all loaded plugins, with some additional filtering done on the results and GsPluginJobRefine used to refine them.

Retrieve the resulting GsAppList using `gs_plugin_job_list_distro_upgrades_get_result_list()`. Components in the list are expected to be of type `AS_COMPONENT_KIND_OPERATING_SYSTEM`.

See also: GsPluginClass.list_distro_upgrades_async

## Functions

### gs_plugin_job_list_distro_upgrades_new ()

    GsPluginJob *
    gs_plugin_job_list_distro_upgrades_new
                                   (GsPluginListDistroUpgradesFlags flags,
                                    GsPluginRefineRequireFlags require_flags);

Create a new GsPluginJobListDistroUpgrades for listing the available distro upgrades.

#### Parameters

flags | flags affecting how the operation runs |
require_flags | flags to affect how the results are refined |

#### Returns

a new GsPluginJobListDistroUpgrades.

[transfer full]

Since: 49

### gs_plugin_job_list_distro_upgrades_get_result_list ()

    GsAppList *
    gs_plugin_job_list_distro_upgrades_get_result_list
                                   (GsPluginJobListDistroUpgrades *self);

Get the full list of available distro upgrades.

If this is called before the job is complete, `NULL` will be returned.

#### Parameters

self | a GsPluginJobListDistroUpgrades |

#### Returns

the job results, or `NULL` on error or if called before the job has completed.

[transfer none][nullable]

Since: 42

## Types and Values

### GS_TYPE_PLUGIN_JOB_LIST_DISTRO_UPGRADES

    #define GS_TYPE_PLUGIN_JOB_LIST_DISTRO_UPGRADES (gs_plugin_job_list_distro_upgrades_get_type ())

### GsPluginJobListDistroUpgrades

    typedef struct _GsPluginJobListDistroUpgrades GsPluginJobListDistroUpgrades;